%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Summary: Base Sugar library
Name:    sugar-base
Version: 0.98.0
Release: 6%{?dist}
URL:     http://sugarlabs.org/
Source0: http://download.sugarlabs.org/sources/sucrose/glucose/%{name}/%{name}-%{version}.tar.bz2
License: LGPLv2
Group:   System Environment/Libraries

BuildRequires: python-devel
BuildRequires: pygobject2-devel
BuildRequires: pygtk2-codegen
BuildRequires: gettext
BuildRequires: perl-XML-Parser
BuildRequires: intltool

Requires: python-decorator

%description

The base libary for Sugar, the user interface of the One Laptop Per
Child project. It provides helpers for the development of services and
activities.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot}

%find_lang %name

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files -f %{name}.lang
%{python_sitelib}/sugar

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 11 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.98.0-1
- 0.98.0 stable release

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.96.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 24 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.96.0-1
- 0.96.0 stable release

* Fri Mar  2 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.95.2-1
- devel release 0.95.2

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jan  2 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.95.1-2
- rebuild

* Tue Oct 25 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.95.1-1
- devel release 0.95.1

* Thu Sep 29 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.94.0-1
- 0.94.0 stable release

* Fri Aug 19 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.93.2-1
- 0.93.2 dev release

* Mon Feb 28 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.92.0-1
- 0.92.0 stable release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.90.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.90.1-2
- bump build

* Wed Sep 29 2010 Peter Robinson <pbrobinson@fedoraproject.org> - 0.90.1-1
- 0.90.1 stable release

* Tue Aug 17 2010 Peter Robinson <pbrobinson@fedoraproject.org> - 0.90.0-1
- New upstream stable 0.90.0 release

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.88.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Mar 20 2010 Peter Robinson <pbrobinson@fedoraproject.org> - 0.88.0-1
- New upstream stable 0.88.0 release

* Thu Feb 11 2010 Sebastian Dziallas <sebastian@when.com> - 0.87.3-1
- New upstream release

* Wed Jan 13 2010 Mathieu Bridon <bochecha@fedoraproject.org> 0.87.2-1
- New upstream release

* Sat Jan  9 2010 Peter Robinson <pbrobinson@fedoraproject.org> - 0.87.1-3
- Updated to the new python sysarch spec file reqs

* Fri Dec 18 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.87.1-2
- Remove libtool archives

* Tue Dec 01 2009 Sebastian Dziallas <sebastian@when.com> - 0.87.1-1
- New upstream release

* Fri Sep 25 2009 Mathieu Bridon <bochecha@fedoraproject.org> - 0.86.0-1
- New upstream release

* Fri Sep 18 2009 Tomeu Vizoso <tomeu@sugarlabs.org> - 0.85.6-1
- New upstream release

* Fri Sep 11 2009 Tomeu Vizoso <tomeu@sugarlabs.org> - 0.85.5-1
- New upstream release

* Wed Sep 02 2009 Tomeu Vizoso <tomeu@sugarlabs.org> - 0.85.4-1
- New upstream release

* Wed Aug 26 2009 Tomeu Vizoso <tomeu@sugarlabs.org> - 0.85.3-1
- New upstream release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.85.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 18 2009 Tomeu Vizoso <tomeu@sugarlabs.org> - 0.85.2-1
- New upstream release

* Mon Apr 06 2009 Simon Schampijer <simon@schampijer.de> - 0.84.1-1
- sugar/dispatch/license.txt is missing from the sugar-base source tarball #704

* Tue Mar 03 2009 Simon Schampijer <simon@schampijer.de> - 0.84.0-1
- Rebuild for 0.84

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.83.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Simon Schampijer <simon@schampijer.de> - 0.83.4-1
- Many new translations!

* Tue Jan 20 2009 Marco Pesenti Gritti <mpg@redhat.com> - 0.83.3-2
- Don't print logs to tty instead of shell.log in the emulator
- Trivial port to GIO instead of GnomeVFS 

* Sun Jan 04 2009 Simon Schampijer <simon@schampijer.de> - 0.83.2-1
- add intltool as build dep
- new download url
- Adding language he, bi, hu, sw, cs, sv, sk, wa
- Updated translations

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.83.1-2
- Rebuild for Python 2.6

* Tue Nov  4 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.83.1-1
- Update to 0.83.1

* Thu Aug 28 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.82.2-1
- Translation updates

* Thu Aug 07 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.82.1-1
- added languages Norwegian and Slovenian
- translation update

* Fri Aug 01 2008 Morgan Collett <morgan@laptop.org> - 0.81.3-1
- Update to 0.81.3
- Make logger safe to full disk
- Translation updates

* Tue Jul 08 2008 Simon Schampijer <simon@schampijer.de> - 0.81.2-3
- BuildRequires: perl-XML-Parser

* Tue Jul 08 2008 Simon Schampijer <simon@schampijer.de> - 0.81.2-2
- added gettext as build require

* Tue Jul 08 2008 Simon Schampijer <simon@schampijer.de> - 0.81.2-1
- gained its own translation module and some languages have already been contributed

* Mon Jun 09 2008 Simon Schampijer <simon@schampijer.de> - 0.81.1-1
- Fix logging (Tomeu) 

* Tue Apr 22 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 0.79.1-1
- Pylint cleanup.

* Sat Feb  9 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.79.0-1
- Update to 0.79.0

* Sun Nov 25 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.1-1
- Update to 0.1.1

* Tue Nov 13 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.1-0.6.20071113git1a04bb7c71
- #4838 More verbose traces (mstone)

* Fri Nov  2 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.1-0.5.20071102git15797de32a
- New snapshot

* Thu Nov  1 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.1-0.4.20071016git7364e0078e
- Remove unnecessary pkgconfig buildreq

* Sat Oct 20 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.1-0.3.20071016git7364e0078e
- New snapshot
